teamviewer.com link icon
or
Ask The Community

Compatibility

I am helping a friend out who still has Windows XP SP3! I have W10, when I try to use TeamViewer to support him, I get a massage saying that he has got to update his version.

I talked him through how to download a version that is compatible with XP (14.7) but I still get the same message. What shall I do?

Answers

  • JeanK
    JeanK Posts: 3,846 Moderator
    edited February 17

    Hello @tommy2k20,

    I am afraid, there is no free solution for what you are asking here...

    If you are using the free version, you must update your TeamViewer clients to the latest version.

    You will find all the information you need in our Knowledge Base article here: Enjoy using the best version of TeamViewer we made so far! - How to proceed? 

    📌Note: If your hardware is not compatible with the latest version, there is nothing we can do to make the free version work. We thank you in advance for your understanding.

    French Community Moderator
  • Airchair
    Airchair Posts: 1 Newbie
    edited February 25

    I have a corporate license and the computer (a customers) I want to connect to is running an older version (the newest that can be installed on their computer). Will I be able to connect to it?

  • JeanK
    JeanK Posts: 3,846 Moderator

    Hello @Airchair,

    Yes, licensed users are able to connect to older versions.

    French Community Moderator
Sign In or Register to comment.